;------------------------------------------------------------------------------
;
;   Hello, world !! for Linux   NASM/YASM code
;
; > yasm -f bin -o hellol hellol.asm
; > nasm -f bin -O2 -o hellol hellol.asm
; > chmod 755 hellol
;
;------------------------------------------------------------------------------

%include "elf32.inc"

	BITS 32

	elf32_header ELF_Linux

	section .text

_start:
	mov eax,4		; Linux Write Syscall
	mov ebx,1		; stdout
	mov ecx,msg		; string
	mov edx,msglen	; string length
	int 0x80		; do syscall

	xor ebx,ebx
	mov eax,1		; exit syscall
	int 0x80

msg				db	'Hello World !!', 10, 0
msglen          equ  $ - msg

	elf32_footer

