;------------------------------------------------------------------------------
;
;   Hello, world !! for FreeBSD   NASM/YASM code
;
; > yasm -f bin -o hellof hellof.asm
; > nasm -f bin -O2 -o hellof hellof.asm
; > chmod 755 hellof
;
;------------------------------------------------------------------------------

%include "elf32.inc"

	BITS 32

	elf32_header ELF_FreeBSD

	section .text

_start:
	push msglen		; string length
	push msg		; string
	push 1			; stdout
	mov eax, 4		; FreeBSD Write Syscall
	push 0
	int 0x80		; do syscall

	xor eax,eax		; exit syscall
	int 0x80

msg				db	'Hello World !!', 10, 0
msglen          equ  $ - msg

	elf32_footer

